Bug 244543 - "yumdownloader --source" exits without downloading package
Summary: "yumdownloader --source" exits without downloading package
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-17 01:27 UTC by Matt McCutchen
Modified: 2014-01-21 22:58 UTC (History)
6 users (show)

Fixed In Version: 1.1.6-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-13 17:05:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt McCutchen 2007-06-17 01:27:27 UTC
Description of problem:
When asked to download a source package (--source), yumdownloader exits without
downloading it.

Version-Release number of selected component (if applicable):
yum-utils-1.1.4-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Run as root: yumdownloader --source kernel-2.6.21-1.3228.fc7
  
Actual results:
Yumdownloader prints the following and then exits without downloading anything:

Loading "installonlyn" plugin
jpackage17-generic        100% |=========================|  951 B    00:00     
fc7-flat                  100% |=========================|  951 B    00:00     
fedora                    100% |=========================| 2.1 kB    00:00     
updates-debuginfo         100% |=========================| 1.9 kB    00:00     
jpackage17-fedora         100% |=========================|  951 B    00:00     
updates-source            100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================|  96 kB    00:02     
updates                   100% |=========================| 1.9 kB    00:00     
primary.sqlite.bz2        100% |=========================| 416 kB    00:19     
fedora-source             100% |=========================| 2.1 kB    00:00     
fedora-debuginfo          100% |=========================| 1.9 kB    00:00     
Enabling fedora-source repository
Enabling updates-source repository

Expected results:
Yumdownloader downloads the package.

Additional info:

Comment 1 Gianluca Varisco 2007-06-17 09:30:27 UTC
WORKSFORME; kernel-2.6.21-1.3228.fc7 is available within 'updates' repository
but seems that you have already it enabled... Have you tried to change mirror
and re-launch yumdownloader?

[root@zeus ~]# yumdownloader --source kernel-2.6.21-1.3228.fc7
Loading "installonlyn" plugin
fedora                    100% |=========================| 2.1 kB    00:00
primary.sqlite.bz2        100% |=========================| 3.8 MB    00:08
updates-testing           100% |=========================| 1.9 kB    00:00
primary.sqlite.bz2        100% |=========================| 153 kB    00:00
fedora-debuginfo          100% |=========================| 1.9 kB    00:00
primary.sqlite.bz2        100% |=========================| 849 kB    00:02
updates                   100% |=========================| 1.9 kB    00:00
primary.sqlite.bz2        100% |=========================| 361 kB    00:01
fedora-source             100% |=========================| 1.9 kB    00:00
primary.sqlite.bz2        100% |=========================| 1.2 MB    00:02
Enabling fedora-source repository
Enabling updates-testing-source repository
Enabling updates-source repository
kernel-2.6.21-1.3228.fc7. 100% |=========================|  45 MB    02:32
[root@zeus ~]#

Comment 2 Gianluca Varisco 2007-06-17 11:17:04 UTC
Mmh.. seems a bit strange, but I tried with other packages (such as downloading
'kmobiletools') and it doesn't work anymore. So, I don't know why the first
yumdownloader before worked.

Comment 3 Göran Uddeborg 2007-06-17 18:06:38 UTC
I pointed yum directly to a local mirror where I see the
vim-7.0.235-1.fc7.src.rpm, and I also see the file mentioned in primary.xml and
primary.sqlite.  Then I did "yum clean all" and "yumdownloader --source
vim-7.0.235-1.fc7.src", but it still ends in

No Match for argument vim-7.0.235-1.fc7.src

I tried with substrings like "vim", "vim-7.0.235" etc. too, but nothing worked.

Then I changed from "enabled=1" to "enabled=0" for the source repo in my .repo
file.  THEN it suddenly started to work!  (Adding "--enablerepo fedora-source"
on the command line breaks things again.)

Comment 4 David Moore 2007-06-24 19:13:51 UTC
Yes, I can confirm that I see the same behavior on my F7 system.  When enabled=0
for the source repository, it works.  When enabled=1 for the source repository,
yumdownloader does not download anything.

Comment 5 Tim Lauridsen 2007-06-26 09:26:54 UTC
I have reproduce the error, the '--source' does not find any source rpms, if the
source repositories is enabled in the .repo files.
I have made a fix in upstream CVS, it will be available in yum-utils-1.1.6.

Workaround:
set 'enabled=0' for source repos in the .repo file.

Comment 6 Fedora Update System 2007-07-27 05:50:35 UTC
yum-utils-1.1.6-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2007-08-13 17:04:53 UTC
yum-utils-1.1.6-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.